Bug 175872 - print dialog crashes after clicking "Properties"
print dialog crashes after clicking "Properties"
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-15 16:18 EST by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-22 12:38:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2005-12-15 16:18:45 EST
Description of problem:

When printing from a kde app (e.g. kprinter), after selecting a printer and
clicking properties the app crashes:

[KCrash handler]
#4  0x03dde2e8 in QGListIterator::QGListIterator$base ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#5  0x007626e6 in DrListOption::findChoice () from /usr/lib/libkdeprint.so.4
#6  0x0078b949 in KPGeneralPage::setOptions () from /usr/lib/libkdeprint.so.4
#7  0x007884f4 in KPrinterPropertyDialog::slotCurrentChanged ()
   from /usr/lib/libkdeprint.so.4
#8  0x0078869a in KPrinterPropertyDialog::qt_invoke ()
   from /usr/lib/libkdeprint.so.4
#9  0x03af0eb4 in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#10 0x03e864c4 in QTabWidget::currentChanged ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#11 0x03c2b42a in QTabWidget::showTab () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#12 0x03e8642d in QTabWidget::qt_invoke ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#13 0x03af0eb4 in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#14 0x03af14e8 in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#15 0x03e85bb2 in QTabBar::selected () from /usr/lib/qt-3.3/lib/libqt-mt.so.3

Version-Release number of selected component (if applicable):
kdebase-3.4.2-0.fc4.1

How reproducible:
Everytime
Comment 1 Christian Iseli 2007-01-22 05:10:09 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Orion Poplawski 2007-01-22 12:38:47 EST
Fixed in FC6

Note You need to log in before you can comment on or make changes to this bug.